package com.qmth.paper.library.business.bean.result;

import com.qmth.paper.library.business.entity.PaperLibrary;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * 数据检查
 */
public class PaperLibraryResult extends PaperLibrary implements Serializable {

    @ApiModelProperty(value = "学期名称")
    private String semesterName;

    @ApiModelProperty(value = "档案名称")
    private String paperArchivesName;

    @ApiModelProperty(value = "学生姓名")
    private String studentName;

    @ApiModelProperty(value = "学号")
    private String studentCode;

    @ApiModelProperty(value = "课程")
    private String courseName;

    @ApiModelProperty(value = "任课老师")
    private String teacherName;

    @ApiModelProperty(value = "教学班")
    private String teachClazzName;

    @ApiModelProperty(value = "绑定图片数量")
    private int bindCount;

    @ApiModelProperty(value = "图片访问地址（解析后地址）")
    private List<String> fileUrls;

    @ApiModelProperty(value = "扫描任务名称")
    private String paperScanTaskName;

    @ApiModelProperty(value = "数据检查员账号")
    private String loginName;

    public String getSemesterName() {
        return semesterName;
    }

    public void setSemesterName(String semesterName) {
        this.semesterName = semesterName;
    }

    public String getPaperArchivesName() {
        return paperArchivesName;
    }

    public void setPaperArchivesName(String paperArchivesName) {
        this.paperArchivesName = paperArchivesName;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getTeachClazzName() {
        return teachClazzName;
    }

    public void setTeachClazzName(String teachClazzName) {
        this.teachClazzName = teachClazzName;
    }

    public int getBindCount() {
        return bindCount;
    }

    public void setBindCount(int bindCount) {
        this.bindCount = bindCount;
    }

    public List<String> getFileUrls() {
        return fileUrls;
    }

    public void setFileUrls(List<String> fileUrls) {
        this.fileUrls = fileUrls;
    }

    public String getPaperScanTaskName() {
        return paperScanTaskName;
    }

    public void setPaperScanTaskName(String paperScanTaskName) {
        this.paperScanTaskName = paperScanTaskName;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }
}
