package com.qmth.paper.library.business.bean.result;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * 数据检查
 */
public class TaskStudentResult implements Serializable {

    @ApiModelProperty(value = "扫描任务详情ID(任务id+考生id)")
    private String paperScanTaskDetailId;

    @ApiModelProperty(value = "学期")
    private String semesterName;

    @ApiModelProperty(value = "档案名称")
    private String paperArchivesName;

    @ApiModelProperty(value = "扫描任务")
    private String paperScanTaskName;

    @ApiModelProperty(value = "课程")
    private String courseName;

    @ApiModelProperty(value = "任课老师")
    private String teacherName;

    @ApiModelProperty(value = "教学班")
    private String teachClazzName;

    @ApiModelProperty(value = "姓名")
    private String studentName;

    @ApiModelProperty(value = "学号")
    private String studentCode;

    @ApiModelProperty(value = "专业")
    private String majorName;

    @ApiModelProperty(value = "班级")
    private String clazzName;

    @ApiModelProperty(value = "绑定图片数量")
    private Integer bindCount;

    public String getPaperScanTaskDetailId() {
        return paperScanTaskDetailId;
    }

    public void setPaperScanTaskDetailId(String paperScanTaskDetailId) {
        this.paperScanTaskDetailId = paperScanTaskDetailId;
    }

    public String getSemesterName() {
        return semesterName;
    }

    public void setSemesterName(String semesterName) {
        this.semesterName = semesterName;
    }

    public String getPaperArchivesName() {
        return paperArchivesName;
    }

    public void setPaperArchivesName(String paperArchivesName) {
        this.paperArchivesName = paperArchivesName;
    }

    public String getPaperScanTaskName() {
        return paperScanTaskName;
    }

    public void setPaperScanTaskName(String paperScanTaskName) {
        this.paperScanTaskName = paperScanTaskName;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getTeachClazzName() {
        return teachClazzName;
    }

    public void setTeachClazzName(String teachClazzName) {
        this.teachClazzName = teachClazzName;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public String getClazzName() {
        return clazzName;
    }

    public void setClazzName(String clazzName) {
        this.clazzName = clazzName;
    }

    public Integer getBindCount() {
        return bindCount;
    }

    public void setBindCount(Integer bindCount) {
        this.bindCount = bindCount;
    }
}
