package com.qmth.paper.library.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.paper.library.business.bean.result.SelectResult;
import com.qmth.paper.library.business.entity.PaperArchivesType;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 档案类型表 Mapper 接口
 * </p>
 */
public interface PaperArchivesTypeMapper extends BaseMapper<PaperArchivesType> {

    PaperArchivesType selectByArchivesType(@Param("schoolId") Long schoolId, @Param("name") String name);

    List<SelectResult> queryArchivesType(@Param("schoolId") Long schoolId);
}
