package com.qmth.paper.library.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.paper.library.business.entity.PaperScanTask;
import org.springframework.web.multipart.MultipartFile;

/**
 * <p>
 * 客户端 服务类
 * </p>
 */
public interface ClientService {

    IPage<PaperScanTask> pageScanTask(Long paperArchivesId, String courseName, String teachClazzName, Boolean isMine, Integer pageNumber, Integer pageSize);

    void checkPrivilege(Long userId);

    boolean bindUser(Long paperScanTaskId, Long userId);

    boolean pictureUpload(Long paperScanTaskId, MultipartFile frontFile, String frontMd5, MultipartFile versoFile, String versoMd5);

    boolean enable(Long paperScanTaskId, Boolean enable);
}
