package com.qmth.paper.library.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.paper.library.business.bean.result.PaperArchivesDetailResult;
import com.qmth.paper.library.business.bean.result.PaperArchivesResult;
import com.qmth.paper.library.business.bean.result.SelectResult;
import com.qmth.paper.library.business.entity.PaperArchives;
import com.qmth.paper.library.common.bean.params.DownLoadPaperParams;

import java.util.List;

/**
 * <p>
 * 档案管理表 服务类
 * </p>
 */
public interface PaperArchivesService extends IService<PaperArchives> {

    IPage<PaperArchivesResult> pageData(Long semesterId, Long managerOrgId, Long archivesTypeId, String archivesName, Integer pageNumber, Integer pageSize);

    boolean saveData(PaperArchives paperArchives);

    boolean delete(String ids);

    List<SelectResult> queryManagerOrg(Long semesterId);

    List<SelectResult> queryArchives(Long semesterId);

    IPage<PaperArchivesDetailResult> pageDetail(Long paperArchivesId, Long belongOrgId, String majorName, String clazzName, String courseName, String teacherName, String teachClazzName, Boolean isBind, String param, Integer pageNumber, Integer pageSize);

    List<PaperArchivesDetailResult> listDetail(DownLoadPaperParams downLoadPaperParams);

    List<SelectResult> queryManagerUser();
}
