package com.qmth.paper.library.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.paper.library.business.bean.result.SelectResult;
import com.qmth.paper.library.business.entity.PaperArchivesType;

import java.util.List;

/**
 * <p>
 * 档案管理表 服务类
 * </p>
 */
public interface PaperArchivesTypeService extends IService<PaperArchivesType> {

    IPage<PaperArchivesType> pageData(Integer pageNumber, Integer pageSize);

    boolean saveData(PaperArchivesType paperArchivesType);

    boolean delete(String ids);

    List<SelectResult> queryArchivesType();
}
